Skip to content

Instantly share code, notes, and snippets.

Avatar

Graham Berks fatlazycat

  • Kent, UK
View GitHub Profile
View gist:aca88377ab629b770e40fecca78e1610
Mainly want a complication to access the app quickly to change volume, play back, skip controls and choose a different podcast in the playlist.
Guess mainly what I'm after is Now Playing app but with the ability to select a different podcast.
Not looking for anything more complicated as would just do that on the phone.
View gist:688c1481bb568e71f45bde3a58bdb15b
~/D/G/c/c/m/vagrant ❯❯❯ vagrant up master
Bringing machine 'e1' up with 'vmware_fusion' provider...
Bringing machine 'c1' up with 'vmware_fusion' provider...
Bringing machine 'w1' up with 'vmware_fusion' provider...
Bringing machine 'w2' up with 'vmware_fusion' provider...
==> e1: Cloning VMware VM: 'coreos-alpha'. This can take some time...
==> e1: Checking if box 'coreos-alpha' is up to date...
==> e1: Verifying vmnet devices are healthy...
==> e1: Preparing network adapters...
==> e1: Fixed port collision for 22 => 2222. Now on port 2205.
View dotspacemacs
;; -*- mode: emacs-lisp -*-
;; This file is loaded by Spacemacs at startup.
;; It must be stored in your home directory.
(defun dotspacemacs/layers ()
"Configuration Layers declaration.
You should not put any user code in this function besides modifying the variable
values."
(setq-default
;; Base distribution to use. This is a layer contained in the directory
@fatlazycat
fatlazycat / gist:10887613
Created Apr 16, 2014
neo4j install in homebrew
View gist:10887613
~ $ brew info neo4j
neo4j: stable 2.0.2
http://neo4j.org
/usr/local/Cellar/neo4j/2.0.2 (90 files, 37M) *
Built from source
From: https://github.com/Homebrew/homebrew/commits/master/Library/Formula/neo4j.rb
==> Caveats
Quick-start guide:
1. Start the server manually:
View gist:10115702
~ $ brew --config
HOMEBREW_VERSION: 0.9.5
ORIGIN: https://github.com/Homebrew/homebrew.git
HEAD: b30f533d8e57272bab42bf180e16fc5c0b380267
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/Cellar
CPU: 8-core 64-bit ivybridge
OS X: 10.9.2-x86_64
Xcode: 5.1
CLT: 5.1.0.0.1.1393561416
View gist:5438175
name: progfun
version: 0.0.1
cabal-version: >=1.10
build-type: Simple
license: AllRightsReserved
license-file: ""
data-dir: ""
executable progfun-haskell
build-depends:
View gist:2624358
name: learn-haskell
version: 0.0.1
cabal-version: >=1.8
build-type: Simple
license: AllRightsReserved
license-file: ""
data-dir: ""
executable learn-haskell
build-depends: base -any
View attempted install
brew rm -f python
]2; MBA-4:graham:/Users/graham]1;Users/~$ brew install -vd --framework python
==> Downloading http://www.python.org/ftp/python/2.7.3/Python-2.7.3.tar.bz2
Already downloaded: /Users/graham/Library/Caches/Homebrew/python-2.7.3.tar.bz2
/usr/bin/tar xf /Users/graham/Library/Caches/Homebrew/python-2.7.3.tar.bz2
==> ./configure --prefix=/usr/local/Cellar/python/2.7.3 --enable-framework=/usr/local/Cellar/python/2.7.3/Frameworks
./configure --prefix=/usr/local/Cellar/python/2.7.3 --enable-framework=/usr/local/Cellar/python/2.7.3/Frameworks
checking for --enable-universalsdk... no
checking for --with-universal-archs... 32-bit
checking MACHDEP... darwin
@fatlazycat
fatlazycat / console
Created Apr 14, 2012
console from attempted install
View console
Last login: Sat Apr 14 09:56:41 on ttys000
[?1034h]2; MBA-4:graham:/Users/graham]1;Users/~$ brew rm -f python
]2; MBA-4:graham:/Users/graham]1;Users/~$ brew install -vd --framework python
==> Downloading http://www.python.org/ftp/python/2.7.3/Python-2.7.3.tar.bz2
Already downloaded: /Users/graham/Library/Caches/Homebrew/python-2.7.3.tar.bz2
/usr/bin/tar xf /Users/graham/Library/Caches/Homebrew/python-2.7.3.tar.bz2
==> ./configure --prefix=/usr/local/Cellar/python/2.7.3 --enable-framework=/usr/local/Cellar/python/2.7.3/Frameworks
./configure --prefix=/usr/local/Cellar/python/2.7.3 --enable-framework=/usr/local/Cellar/python/2.7.3/Frameworks
checking for --enable-universalsdk... no
checking for --with-universal-archs... 32-bit
@fatlazycat
fatlazycat / gist:2383212
Created Apr 14, 2012
Python upgrade to 2.7.3 error
View gist:2383212
$ brew upgrade python
==> Upgrading python
==> Downloading http://www.python.org/ftp/python/2.7.3/Python-2.7.3.tar.bz2
Already downloaded: /Users/graham/Library/Caches/Homebrew/python-2.7.3.tar.bz2
==> ./configure --prefix=/usr/local/Cellar/python/2.7.3 --enable-shared
==> make
==> make install
==> Downloading http://pypi.python.org/packages/source/d/distribute/distribute-0.6.26.tar.gz
Already downloaded: /Users/graham/Library/Caches/Homebrew/distribute-0.6.26.tar.gz
==> /usr/local/Cellar/python/2.7.3/bin/python setup.py install
You can’t perform that action at this time.